-- $Id$
-- nybu#39069
-- Factuurregels catering hebben onterecht een verkoopfactuurdatum gekregen

DEFINE thisfile = 'NYBU#39059.SQL'
DEFINE dbuser   = '^NYBU'
DEFINE custid   = 'NYBU'

SET ECHO ON
SET DEFINE ON
COLUMN fcltlogfile NEW_VALUE fcltlogfile NOPRINT;
WHENEVER SQLERROR EXIT;
SELECT adm.scriptspoolfile('&dbuser', '&thisfile') AS fcltlogfile FROM DUAL;
WHENEVER SQLERROR CONTINUE;
SPOOL &fcltlogfile
SET DEFINE OFF

------ payload begin ------

DELETE FIN_VERKOOPFACTUUR
 WHERE FIN_VERKOOPFACTUUR_C4 = 'catering'
       AND FIN_VERKOOPFACTUUR_DATUM LIKE TO_DATE ('01/03/2017', 'MM/DD/YYYY');

------ payload end   ------

SET DEFINE OFF
BEGIN adm.systrackscriptId('$Id$'); END;
/

COMMIT;
SET ECHO OFF
SPOOL OFF
SET DEFINE ON
PROMPT Logfile of this upgrade is: &fcltlogfile
